import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  name: SortOrderSchema.optional(),
  email: SortOrderSchema.optional(),
  role: SortOrderSchema.optional(),
  phone: SortOrderSchema.optional(),
  createdAt: SortOrderSchema.optional()
}).strict();
export const StaffMinOrderByAggregateInputObjectSchema: z.ZodType<Prisma.StaffMinOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.StaffMinOrderByAggregateInput>;
export const StaffMinOrderByAggregateInputObjectZodSchema = makeSchema();
